Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
accounts
/
{account_id}
/
operations
/
{operation_id}
Recuperar una Operación
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/accounts/{account_id}/operations/{operation_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountAlias": "<string>",
  "balanceId": "<string>",
  "balanceKey": "<string>",
  "description": "<string>",
  "type": "CREDIT",
  "assetCode": "<string>",
  "chartOfAccounts": "<string>",
  "route": "<string>",
  "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "routeCode": "<string>",
  "direction": "debit",
  "amount": {
    "value": "<string>"
  },
  "balance": {
    "available": "<string>",
    "onHold": "<string>",
    "version": 123
  },
  "balanceAfter": {
    "available": "<string>",
    "onHold": "<string>",
    "version": 123
  },
  "status": {
    "code": "<string>",
    "description": "<string>"
  },
  "balanceAffected": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene Access Manager habilitado.

Content-Type
string

El tipo de medio del recurso. El valor recomendado es application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la Organización asociada al Ledger.

ledger_id
string
requerido

El identificador único del Ledger asociado.

account_id
string
requerido

El identificador único de la cuenta de la cual desea recuperar los saldos.

operation_id
string
requerido

El identificador único de la operación que desea recuperar.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

id
string<uuid>

El identificador único de la Operación.

transactionId
string<uuid>

El identificador único de la Transacción.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

accountId
string<uuid>

El identificador único de la Cuenta.

accountAlias
string

The alias for the account used in the operation.

balanceId
string

The unique identifier of the Balance.

balanceKey
string

The unique key that identifies the Balance.

description
string

Description of the transaction.

type
enum<string>

The type of the operation.

Opciones disponibles:
CREDIT,
DEBIT,
ON_HOLD,
RELEASE
assetCode
string

The name of the asset used in the operation.

chartOfAccounts
string

The name of the Chart-of-Accounts that the operation belongs to.

route
string
obsoleto

Obsoleto. Use routeId en su lugar. Se eliminará en la próxima versión mayor.

routeId
string<uuid>

El identificador único de la ruta de operación asociada a esta operación.

routeCode
string

Un código legible de la ruta de operación, útil para auditoría y rastreabilidad.

Maximum string length: 100
direction
enum<string>

La dirección de la operación en la contabilidad de partida doble.

Opciones disponibles:
debit,
credit
amount
object

An object containing information about the amount used in the operation.

balance
object

An object containing information about the balance before the operation.

balanceAfter
object

An object containing information about the balance after the operation.

status
object

The transaction status (pending, completed, reversed).

balanceAffected
boolean

If true, indicates that the operation affected the account balance.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.